package com.ruoyi.mall.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.mall.mapper.MallGoodsTipsMapper;
import com.ruoyi.mall.domain.MallGoodsTips;
import com.ruoyi.mall.service.IMallGoodsTipsService;

/**
 * mallService业务层处理
 * 
 * @author ruoyi
 * @date 2021-12-31
 */
@Service
public class MallGoodsTipsServiceImpl implements IMallGoodsTipsService 
{
    @Autowired
    private MallGoodsTipsMapper mallGoodsTipsMapper;

    /**
     * 查询mall
     * 
     * @param id mall主键
     * @return mall
     */
    @Override
    public MallGoodsTips selectMallGoodsTipsById(Long id)
    {
        return mallGoodsTipsMapper.selectMallGoodsTipsById(id);
    }

    /**
     * 查询mall列表
     * 
     * @param mallGoodsTips mall
     * @return mall
     */
    @Override
    public List<MallGoodsTips> selectMallGoodsTipsList(MallGoodsTips mallGoodsTips)
    {
        return mallGoodsTipsMapper.selectMallGoodsTipsList(mallGoodsTips);
    }

    /**
     * 新增mall
     * 
     * @param mallGoodsTips mall
     * @return 结果
     */
    @Override
    public int insertMallGoodsTips(MallGoodsTips mallGoodsTips)
    {
        return mallGoodsTipsMapper.insertMallGoodsTips(mallGoodsTips);
    }

    /**
     * 修改mall
     * 
     * @param mallGoodsTips mall
     * @return 结果
     */
    @Override
    public int updateMallGoodsTips(MallGoodsTips mallGoodsTips)
    {
        return mallGoodsTipsMapper.updateMallGoodsTips(mallGoodsTips);
    }

    /**
     * 批量删除mall
     * 
     * @param ids 需要删除的mall主键
     * @return 结果
     */
    @Override
    public int deleteMallGoodsTipsByIds(Long[] ids)
    {
        return mallGoodsTipsMapper.deleteMallGoodsTipsByIds(ids);
    }

    /**
     * 删除mall信息
     * 
     * @param id mall主键
     * @return 结果
     */
    @Override
    public int deleteMallGoodsTipsById(Long id)
    {
        return mallGoodsTipsMapper.deleteMallGoodsTipsById(id);
    }
}
